// Define a type for the data structure expected by the function
interface StrixJSON {
    title: string;
    subtitle: string;
    buttonText: string;
    description: string;
  }
  
  // Function to update HTML content based on provided data
  function strixAdd(data: StrixJSON): void {
    const container = document.getElementById("useStrix");
  
    if (!container) {
      console.error("Container with id 'useStrix' not found.");
      return;
    }
  
    Object.keys(data).forEach((key) => {
      const element = container.querySelector(`#${key}`);
      if (element) {
        // Update its innerHTML with the corresponding JSON value
        element.innerHTML = data[key as keyof StrixJSON]; // Ensures type safety
      } else {
        console.warn(`Element with id '${key}' not found in container.`);
      }
    });
  }
  
  // Export the function as the default export
  export default strixAdd;
  